Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.config
Class Server

    java.lang.Object
      org.esupportail.portal.channels.CStockage.config.Server

public class Server
extends java.lang.Object

Id: Server.java,v 1.0 14 avril 2005
Copyright (c) 2004 Esup Portail (www.esup-portail.org)
Classes: Server
Original Author: Yohan Colmant
This represents a server in the configuration file

Field Summary
`java.lang.String` | `nfsUidNumber` The NFS Uid Number

Constructor Summary
`Server()`

Method Summary
`void` | `addSpace(Space space)`
`void` | `checkAttribute(java.lang.String attributeName, org.jasig.portal.security.IPerson person)` we look for a {...} form in the attribute.
`java.lang.Object` | `clone()` Clone this object
`boolean` | `equals(java.lang.Object o)` Compare this to another object
`java.lang.String` | `getAclGroupPrefix()`
`java.lang.String` | `getAclNamespace()`
`java.lang.String` | `getAclUportalGroup()`
`java.lang.String` | `getAclUserPrefix()`
`java.lang.String` | `getAuthenticationMode()`
`java.lang.String` | `getCifsDisablePlainTextPassword()`
`java.lang.String` | `getCifsDomain()`
`java.lang.String` | `getCifsResolveOrder()`
`java.lang.String` | `getId()`
`java.lang.String` | `getInitialLoginFromTheConfigurationFile()`
`java.lang.String` | `getInjacPreviewUrl()`
`java.lang.StringBuffer` | `getLocalXmlBegin()` Get the xml in the configuration file style
`java.lang.StringBuffer` | `getLocalXmlEnd()` Get the xml in the configuration file style
`java.lang.String` | `getLogin()`
`java.lang.String` | `getName()`
`java.lang.String` | `getNfsGidNumber()`
`java.lang.String` | `getNfsUidNumber()`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getServerAccessClass()`
`java.lang.String` | `getServerType()`
`java.util.ArrayList` | `getSpaces()`
`java.lang.String` | `getUnauthenticatedServerUrl()`
`java.lang.String` | `getUrl()`
`java.lang.String` | `getXml()` Get the xml in the configuration file style
`boolean` | `hasAclParameterSet()`
`void` | `initServerAccessObjectForEachSpace(org.jasig.portal.security.IPerson person)` init the server access object for this space
`boolean` | `isAskedAuthentication()` If the selected authentication is ASKED
`boolean` | `isCasAuthentication()` If the selected authentication is CAS
`boolean` | `isLoginIsFromConfigurationFile()`
`boolean` | `isTrustedAuthentication()` If the selected authentication is TRUSTED
`boolean` | `managesAcl()`
`void` | `setAclGroupPrefix(java.lang.String aclGroupPrefix)`
`void` | `setAclNamespace(java.lang.String aclNamespace)`
`void` | `setAclUportalGroup(java.lang.String aclUportalGroup)`
`void` | `setAclUserPrefix(java.lang.String aclUserPrefix)`
`void` | `setAuthenticationMode(java.lang.String authenticationMode)`
`void` | `setCifsDisablePlainTextPassword(java.lang.String cifsDisablePlainTextPassword)`
`void` | `setCifsDomain(java.lang.String cifsDomain)`
`void` | `setCifsResolveOrder(java.lang.String cifsResolveOrder)`
`void` | `setId(java.lang.String id)`
`void` | `setInitialLoginFromTheConfigurationFile(java.lang.String initialLoginFromTheConfigurationFile)`
`void` | `setInjacPreviewUrl(java.lang.String injacPreviewUrl)`
`void` | `setLogin(java.lang.String login)`
`void` | `setName(java.lang.String name)`
`void` | `setNfsGidNumber(java.lang.String nfsGidNumber)`
`void` | `setNfsUidNumber(java.lang.String nfsUidNumber)`
`void` | `setPassword(java.lang.String password)`
`void` | `setServerAccessClass(java.lang.String serverAccessClass)`
`void` | `setServerType(java.lang.String serverType)`
`void` | `setSpaces(java.util.ArrayList spaces)`
`void` | `setUnauthenticatedServerUrl(java.lang.String unauthenticatedServerUrl)`
`void` | `setUrl(java.lang.String url)`
`java.lang.String` | `toString()` Return a String representation of this space

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### nfsUidNumber

    public java.lang.String nfsUidNumber

  The NFS Uid Number

Constructor Detail

### Server

    public Server()

Method Detail

### getSpaces

    public java.util.ArrayList getSpaces()

  Returns:
    Returns the spaces.

### addSpace

    public void addSpace(Space space)

  Parameters:
    `space` - The space to set.

### setSpaces

    public void setSpaces(java.util.ArrayList spaces)

  Parameters:
    `spaces` - The spaces to set.

### getInjacPreviewUrl

    public java.lang.String getInjacPreviewUrl()

  Returns:
    Returns the injacPreviewUrl.

### setInjacPreviewUrl

    public void setInjacPreviewUrl(java.lang.String injacPreviewUrl)

  Parameters:
    `injacPreviewUrl` - The injacPreviewUrl to set.

### getUnauthenticatedServerUrl

    public java.lang.String getUnauthenticatedServerUrl()

  Returns:
    Returns the unauthenticatedServerUrl.

### setUnauthenticatedServerUrl

    public void setUnauthenticatedServerUrl(java.lang.String unauthenticatedServerUrl)

  Parameters:
    `unauthenticatedServerUrl` - The unauthenticatedServerUrl to set.

### managesAcl

    public boolean managesAcl()

  Returns:
    Returns the manageAcl.

### getName

    public java.lang.String getName()

  Returns:
    Returns the name.

### setName

    public void setName(java.lang.String name)

  Parameters:
    `name` - The name to set.

### getCifsDisablePlainTextPassword

    public java.lang.String getCifsDisablePlainTextPassword()

  Returns:
    Returns the cifsDisablePlainTextPassword.

### setCifsDisablePlainTextPassword

    public void setCifsDisablePlainTextPassword(java.lang.String cifsDisablePlainTextPassword)

  Parameters:
    `cifsDisablePlainTextPassword` - The cifsDisablePlainTextPassword to set.

### getCifsDomain

    public java.lang.String getCifsDomain()

  Returns:
    Returns the cifsDomain.

### setCifsDomain

    public void setCifsDomain(java.lang.String cifsDomain)

  Parameters:
    `cifsDomain` - The cifsDomain to set.

### getCifsResolveOrder

    public java.lang.String getCifsResolveOrder()

  Returns:
    Returns the cifsResolveOrder.

### setCifsResolveOrder

    public void setCifsResolveOrder(java.lang.String cifsResolveOrder)

  Parameters:
    `cifsResolveOrder` - The cifsResolveOrder to set.

### getServerType

    public java.lang.String getServerType()

  Returns:
    Returns the serverType.

### setServerType

    public void setServerType(java.lang.String serverType)

  Parameters:
    `serverType` - The serverType to set.

### getAclUportalGroup

    public java.lang.String getAclUportalGroup()

  Returns:
    Returns the aclUportalGroup.

### setAclUportalGroup

    public void setAclUportalGroup(java.lang.String aclUportalGroup)

  Parameters:
    `aclUportalGroup` - The aclUportalGroup to set.

### getAclGroupPrefix

    public java.lang.String getAclGroupPrefix()

  Returns:
    Returns the aclGroupPrefix.

### setAclGroupPrefix

    public void setAclGroupPrefix(java.lang.String aclGroupPrefix)

  Parameters:
    `aclGroupPrefix` - The aclGroupPrefix to set.

### getAclNamespace

    public java.lang.String getAclNamespace()

  Returns:
    Returns the aclNamespace.

### setAclNamespace

    public void setAclNamespace(java.lang.String aclNamespace)

  Parameters:
    `aclNamespace` - The aclNamespace to set.

### hasAclParameterSet

    public boolean hasAclParameterSet()

  Returns:
    Returns the supportAcl.

### getAclUserPrefix

    public java.lang.String getAclUserPrefix()

  Returns:
    Returns the aclUserPrefix.

### setAclUserPrefix

    public void setAclUserPrefix(java.lang.String aclUserPrefix)

  Parameters:
    `aclUserPrefix` - The aclUserPrefix to set.

### isCasAuthentication

    public boolean isCasAuthentication()
                                throws PropertiesException

  If the selected authentication is CAS

  Returns:
    trus is cas is selected
  Throws:
    `PropertiesException`

### isTrustedAuthentication

    public boolean isTrustedAuthentication()
                                    throws PropertiesException

  If the selected authentication is TRUSTED

  Returns:
    true if trusted is selected
  Throws:
    `PropertiesException`

### isAskedAuthentication

    public boolean isAskedAuthentication()
                                  throws PropertiesException

  If the selected authentication is ASKED

  Returns:
    true if asked is selected
  Throws:
    `PropertiesException`

### getLogin

    public java.lang.String getLogin()

  Returns:
    Returns the login.

### setLogin

    public void setLogin(java.lang.String login)

  Parameters:
    `login` - The login to set.

### setInitialLoginFromTheConfigurationFile

    public void setInitialLoginFromTheConfigurationFile(java.lang.String initialLoginFromTheConfigurationFile)

  Parameters:
    `initialLoginFromTheConfigurationFile` - The login to set.

### isLoginIsFromConfigurationFile

    public boolean isLoginIsFromConfigurationFile()

  Returns:
    Returns the loginIsFromConfigurationFile.

### getInitialLoginFromTheConfigurationFile

    public java.lang.String getInitialLoginFromTheConfigurationFile()

  Returns:
    Returns the initialLoginFromTheConfigurationFile.

### getPassword

    public java.lang.String getPassword()
                                 throws PropertiesException

  Returns:
    Returns the password.
  Throws:
    `PropertiesException`

### setPassword

    public void setPassword(java.lang.String password)

  Parameters:
    `password` - The trustedPassword to set.

### getUrl

    public java.lang.String getUrl()
                            throws PropertiesException

  Returns:
    Returns the url.
  Throws:
    `PropertiesException`

### setUrl

    public void setUrl(java.lang.String url)

  Parameters:
    `url` - The url to set.

### setAuthenticationMode

    public void setAuthenticationMode(java.lang.String authenticationMode)

  Parameters:
    `authenticationMode` - The authenticationMode to set.

### getAuthenticationMode

    public java.lang.String getAuthenticationMode()

  Returns:
    Returns the authenticationMode.

### getServerAccessClass

    public java.lang.String getServerAccessClass()

  Returns:
    Returns the serverAccessClass.

### setServerAccessClass

    public void setServerAccessClass(java.lang.String serverAccessClass)

  Parameters:
    `serverAccessClass` - The serverAccessClass to set.

### getId

    public java.lang.String getId()

  Returns:
    Returns the id.

### setId

    public void setId(java.lang.String id)

  Parameters:
    `id` - The id to set.

### checkAttribute

    public void checkAttribute(java.lang.String attributeName,
                               org.jasig.portal.security.IPerson person)

  we look for a {...} form in the attribute. If yes, we replace it with the real value

  Parameters:
    `attributeName` - to check
    `person` - uPortal person object

### getNfsGidNumber

    public java.lang.String getNfsGidNumber()

  Returns:
    Returns the nfsGidNumber.

### setNfsGidNumber

    public void setNfsGidNumber(java.lang.String nfsGidNumber)

  Parameters:
    `nfsGidNumber` - The nfsGidNumber to set.

### getNfsUidNumber

    public java.lang.String getNfsUidNumber()

  Returns:
    Returns the nfsUidNumber.

### setNfsUidNumber

    public void setNfsUidNumber(java.lang.String nfsUidNumber)

  Parameters:
    `nfsUidNumber` - The nfsUidNumber to set.

### initServerAccessObjectForEachSpace

    public void initServerAccessObjectForEachSpace(org.jasig.portal.security.IPerson person)
                                            throws java.net.MalformedURLException,
                                                   PropertiesException

  init the server access object for this space

  Parameters:
    `person` - the uportal person object
  Throws:
    `java.net.MalformedURLException`
    `PropertiesException`

### equals

    public boolean equals(java.lang.Object o)

  Compare this to another object

  Parameters:
    `o` - object to compare

### toString

    public java.lang.String toString()

  Return a String representation of this space

### clone

    public java.lang.Object clone()

  Clone this object

  Returns:
    a clone of this object

### getLocalXmlBegin

    public java.lang.StringBuffer getLocalXmlBegin()

  Get the xml in the configuration file style

  Returns:
    the xml in the configuration file style

### getLocalXmlEnd

    public java.lang.StringBuffer getLocalXmlEnd()

  Get the xml in the configuration file style

  Returns:
    the xml in the configuration file style

### getXml

    public java.lang.String getXml()

  Get the xml in the configuration file style

  Returns:
    the xml in the configuration file style

Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD